org.glassfish.jersey.spi

## Interface ContextResolvers

    public interface ContextResolvers

An injectable interface providing look-up for `ContextResolver<T>` provider instances.

Author:
  Marek Potociar

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> jakarta.ws.rs.ext.ContextResolver<T>` `resolve(Type type, jakarta.ws.rs.core.MediaType mediaType)` Get `ContextResolver<T>` instance for a given type and media type.

### Method Detail

#### resolve

    <T> jakarta.ws.rs.ext.ContextResolver<T> resolve(Type type,
                                                     jakarta.ws.rs.core.MediaType mediaType)

Get `ContextResolver<T>` instance for a given type and media type.

Type Parameters:
  `T` - Java type produced by the context resolver.
Parameters:
  `type` - type supported by the context resolver.
  `mediaType` - media type supported by the context resolver.
Returns:
  proper context resolver instance if found, otherwise `null`.